
function data()
return {
	info = {
		minorVersion = 0,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Sahimms 900 (u)"),
		description = _("info_sahimms_900_desc"),
		tags = { "Europe", "Wagon", },
		
		params = {
			{
				key = "sahimms900fake",
				name = _("Fake"),
				values = { "No", "Yes", },
				tooltip = _("option_sahimms_900_1_desc"),
				defaultIndex = 0,
			},
		},
		
		dependencies = { "kaleut_drehgestelle_1", "mknj_container_asset_set_1" },
		
		requiredMods = {
				{ 
					modId= "kaleut_drehgestelle_1", -- optional, modid
					steamId = 1956333378, -- optional, steam workshop id 
					tfnetId = 5040, -- optional, id der Webdisk auf transportfever.net
					url = "https://modwerkstatt.com/downloads/gueterwagen-drehgestelle-tpf2/", -- optional, url zum Download der Mod
					minMinorVersion = 0 -- optional, minimale minorVersion
				}, 	
				{ 
					modId= "mknj_container_asset_set_1", -- optional, modid
					steamId = 1936342398, -- optional, steam workshop id 
					tfnetId = 4849, -- optional, id der Webdisk auf transportfever.net
					url = "https://modwerkstatt.com/downloads/container-asset-set-tpf2/", -- optional, url zum Download der Mod
					minMinorVersion = 3 -- optional, minimale minorVersion
				}, 
			},
		
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 0,                 															-- optional, transportfever.net id
		steamId = 0,             															-- optional, steam workshop id
		url = "", 	-- optional, URL zur Webseite des Mods
		visible = true
	},	
		
	runFn = function(settings, modParams)
		
		local hidden = {				
				["fake_1.mdl"] = true,
				["fake_2.mdl"] = true,
				["fake_3.mdl"] = true,
				["fake_4.mdl"] = true,					
			}
		
		local modelFilter = function(fileName, data)				
				local modelName = fileName:match('/Sahimms_900_DB_Cargo_([^/]*.mdl)')
								or fileName:match('/Sahimms_900_DB_AG_([^/]*.mdl)')
								or fileName:match('/Sahimms_900_DB_([^/]*.mdl)')								
				return (modelName==nil or hidden[modelName]~=true)				
			end  
		
		if modParams[getCurrentModId()] ~= nil then
			local params = modParams[getCurrentModId()]					
			if params["sahimms900fake"] == 0 then
				addFileFilter("model/vehicle", modelFilter)		
			end
		else
			addFileFilter("model/vehicle", modelFilter)	
		end			
		
	end
}
end
